<?php
if (!defined('IN_59MIAO'))
{
	exit('Access Defined');
}
//系统设置控制器
class BanipAction extends Action {
	public function __construct() {
		parent::__construct();
	}	
	public function index() {	
		$data=$this->_model->findOne();
		$this->_tpl->assign('banip',$data[0]);
		$this->_tpl->display(SMARTY_ADMIN.'setting/banip.tpl');	
	}	
	//修改系统设置
	public function update() {	
		if(isset($_POST["send"])) $this->_model->update()?$this->_redirect->succ(Tool::getPrevPage(), '修改屏蔽ip设置成功！') : $this->_redirect->error('修改屏蔽ip设置失败！');	
		
		$this->_tpl->display(SMARTY_ADMIN.'setting/banip.tpl');	
	}	
}
?>